%define pkgname mail
Summary:	A Really Ruby Mail Library
Name:		ruby-%{pkgname}
Version:	2.1.3
Release:	4
License:	BSD-like
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	b9bc3bb5d8ea876b016976f6f1fe5ac4
Patch0:		%{name}-vendor.patch
Group:		Development/Languages
URL:		http://github.com/mikel/mail
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
Requires:	ruby-activesupport >= 2.3.4
Requires:	ruby-mime-types
Requires:	ruby-treetop
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Really Ruby Mail Library.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

rm -r lib/mail/vendor

%build
# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rdoc README.rdoc TODO.rdoc
%{ruby_vendorlibdir}/mail.rb
%{ruby_vendorlibdir}/mail
%{ruby_vendorlibdir}/tasks/*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mail
%changelog
* Wed Sep 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mail.git;a=log;h=master

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> d0ccf1d
- rel 4

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> 1ab954a
- rdoc/ri needs utf8 locale

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> 7d963d6
- vendor patch makes dependency on treetop

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> 10599c0
- build noarch, install to vendor dirs; review deps

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> f16b20d
- rel 3
- tasks dir belongs to rake

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 2b4efcf
- rel 2
- net-smtp is in stdlib

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 65c348a
- use distro treetop

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 11f7379
- it's MAIL, not RMAIL!
- now package name is consistent with it's contents
- added ri package
- updated R

* Sun Nov 29 2009 Artur Frysiak <artur@frysiak.net> 9d94d8c
- rel. 1

* Sun Nov 29 2009 Artur Frysiak <artur@frysiak.net> 946d603
- fixed license

* Tue Jan 13 2009 Elan Ruusamäe <glen@pld-linux.org> d378db0
- don't package system dir

* Tue Jan 13 2009 Zsolt Udvari <uzsolt@pld-linux.org> 56709c5
- initial

